import { MongoClientOptions, Db } from "mongodb";
import { ModelDefinition } from "./model_definitions";
import Model, { ModelDataBase } from "./model";
export default class SafeMongo {
    private database_name;
    private client;
    db: Db;
    private waiting;
    constructor(uri: string, database_name: string, options?: MongoClientOptions);
    addModel<T extends ModelDataBase>(definition: ModelDefinition): Model<T>;
    awaitConnected(): Promise<{}>;
    connect(): Promise<void>;
    disconnect(): Promise<void>;
}
